Current trunk problems with retrotranslate

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Current trunk problems with retrotranslate

Steve Appling
I don't know if this is related to the recent changes to update to a new
snapshot, but I am having trouble building from source now.  Gradlew assemble
ends up failing with:

:translateLibsTo14

FAILURE: Build failed with an exception.

* Where:
Build file 'C:\OpenSource\gradle\committer\build.gradle' line: 445

* What went wrong:
Execution failed for task ':translateLibsTo14'.
Cause: Could not find method retrotranslator() for arguments [{target=1.4,
destjar=C:\OpenSource\gradle\committer\build\distributions\retroLibs\logback-core-0.9.17.jar,
smart=true, verify=false, failonwarning=false},
TranslateLibsTo14$_retroExe_closure2_closure8@1403eb7] on task ':translateLibsTo14'.

It looks like the retrotranslator call is interperted as a normal method call
and not using antbuilder.  I believe that this was working fine for me a few
days ago.  Does anyone else have this problem?  Any ideas?

--
Steve Appling
Automated Logic Research Team

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Current trunk problems with retrotranslate

hans_d
Administrator

On Nov 9, 2009, at 8:50 PM, Steve Appling wrote:

> I don't know if this is related to the recent changes to update to a  
> new snapshot, but I am having trouble building from source now.  
> Gradlew assemble ends up failing with:
>
> :translateLibsTo14
>
> FAILURE: Build failed with an exception.
>
> * Where:
> Build file 'C:\OpenSource\gradle\committer\build.gradle' line: 445
>
> * What went wrong:
> Execution failed for task ':translateLibsTo14'.
> Cause: Could not find method retrotranslator() for arguments  
> [{target=1.4, destjar=C:\OpenSource\gradle\committer\build
> \distributions\retroLibs\logback-core-0.9.17.jar, smart=true,  
> verify=false, failonwarning=false},  
> TranslateLibsTo14$_retroExe_closure2_closure8@1403eb7] on task  
> ':translateLibsTo14'.
>
> It looks like the retrotranslator call is interperted as a normal  
> method call and not using antbuilder.  I believe that this was  
> working fine for me a few days ago.  Does anyone else have this  
> problem?

I can reproduce this problem.

> Any ideas?

Not yet. I will have a look at that.

- Hans

--
Hans Dockter
Gradle Project Manager
http://www.gradle.org

>
> --
> Steve Appling
> Automated Logic Research Team
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>   http://xircles.codehaus.org/manage_email
>
>


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Current trunk problems with retrotranslate

Steve Appling
I made a Jira for this (GRADLE-744) and assigned it to Adam since the problem
first began on his checkin updating to the new snapshot.  Thanks in advance Adam.

Hans Dockter wrote:

>
> On Nov 9, 2009, at 8:50 PM, Steve Appling wrote:
>
>> I don't know if this is related to the recent changes to update to a
>> new snapshot, but I am having trouble building from source now.  
>> Gradlew assemble ends up failing with:
>>
>> :translateLibsTo14
>>
>> FAILURE: Build failed with an exception.
>>
>> * Where:
>> Build file 'C:\OpenSource\gradle\committer\build.gradle' line: 445
>>
>> * What went wrong:
>> Execution failed for task ':translateLibsTo14'.
>> Cause: Could not find method retrotranslator() for arguments
>> [{target=1.4,
>> destjar=C:\OpenSource\gradle\committer\build\distributions\retroLibs\logback-core-0.9.17.jar,
>> smart=true, verify=false, failonwarning=false},
>> TranslateLibsTo14$_retroExe_closure2_closure8@1403eb7] on task
>> ':translateLibsTo14'.
>>
>> It looks like the retrotranslator call is interperted as a normal
>> method call and not using antbuilder.  I believe that this was working
>> fine for me a few days ago.  Does anyone else have this problem?
>
> I can reproduce this problem.
>
>> Any ideas?
>
> Not yet. I will have a look at that.
>
> - Hans
>
> --
> Hans Dockter
> Gradle Project Manager
> http://www.gradle.org
>
>>
>> --
>> Steve Appling
>> Automated Logic Research Team
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>   http://xircles.codehaus.org/manage_email
>>
>>
>
>
> ---------------------------------------------------------------------
> To unsubscribe from this list, please visit:
>
>    http://xircles.codehaus.org/manage_email
>
>
>

--
Steve Appling
Automated Logic Research Team

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Current trunk problems with retrotranslate

Adam Murdoch-2


Steve Appling wrote:
> I made a Jira for this (GRADLE-744) and assigned it to Adam since the
> problem first began on his checkin updating to the new snapshot.  
> Thanks in advance Adam.
>

Perhaps we should get rid of the 1.4 distribution. I doubt it actually
works, even when it builds. We certainly don't test it in any way. It
doesn't seem worth the effort to support it.

> Hans Dockter wrote:
>>
>> On Nov 9, 2009, at 8:50 PM, Steve Appling wrote:
>>
>>> I don't know if this is related to the recent changes to update to a
>>> new snapshot, but I am having trouble building from source now.  
>>> Gradlew assemble ends up failing with:
>>>
>>> :translateLibsTo14
>>>
>>> FAILURE: Build failed with an exception.
>>>
>>> * Where:
>>> Build file 'C:\OpenSource\gradle\committer\build.gradle' line: 445
>>>
>>> * What went wrong:
>>> Execution failed for task ':translateLibsTo14'.
>>> Cause: Could not find method retrotranslator() for arguments
>>> [{target=1.4,
>>> destjar=C:\OpenSource\gradle\committer\build\distributions\retroLibs\logback-core-0.9.17.jar,
>>> smart=true, verify=false, failonwarning=false},
>>> TranslateLibsTo14$_retroExe_closure2_closure8@1403eb7] on task
>>> ':translateLibsTo14'.
>>>
>>> It looks like the retrotranslator call is interperted as a normal
>>> method call and not using antbuilder.  I believe that this was
>>> working fine for me a few days ago.  Does anyone else have this
>>> problem?
>>
>> I can reproduce this problem.
>>
>>> Any ideas?
>>
>> Not yet. I will have a look at that.
>>
>> - Hans
>>
>> --
>> Hans Dockter
>> Gradle Project Manager
>> http://www.gradle.org
>>
>>>
>>> --
>>> Steve Appling
>>> Automated Logic Research Team
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe from this list, please visit:
>>>
>>>   http://xircles.codehaus.org/manage_email
>>>
>>>
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe from this list, please visit:
>>
>>    http://xircles.codehaus.org/manage_email
>>
>>
>>
>

--
Adam Murdoch
Gradle Developer
http://www.gradle.org


---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email


Reply | Threaded
Open this post in threaded view
|

Re: Current trunk problems with retrotranslate

Steve Appling
Adam Murdoch wrote:

>
>
> Steve Appling wrote:
>> I made a Jira for this (GRADLE-744) and assigned it to Adam since the
>> problem first began on his checkin updating to the new snapshot.  
>> Thanks in advance Adam.
>>
>
> Perhaps we should get rid of the 1.4 distribution. I doubt it actually
> works, even when it builds. We certainly don't test it in any way. It
> doesn't seem worth the effort to support it.

I would agree with that!

>
>> Hans Dockter wrote:
>>>
>>> On Nov 9, 2009, at 8:50 PM, Steve Appling wrote:
>>>
>>>> I don't know if this is related to the recent changes to update to a
>>>> new snapshot, but I am having trouble building from source now.  
>>>> Gradlew assemble ends up failing with:
>>>>
>>>> :translateLibsTo14
>>>>
>>>> FAILURE: Build failed with an exception.
>>>>
>>>> * Where:
>>>> Build file 'C:\OpenSource\gradle\committer\build.gradle' line: 445
>>>>
>>>> * What went wrong:
>>>> Execution failed for task ':translateLibsTo14'.
>>>> Cause: Could not find method retrotranslator() for arguments
>>>> [{target=1.4,
>>>> destjar=C:\OpenSource\gradle\committer\build\distributions\retroLibs\logback-core-0.9.17.jar,
>>>> smart=true, verify=false, failonwarning=false},
>>>> TranslateLibsTo14$_retroExe_closure2_closure8@1403eb7] on task
>>>> ':translateLibsTo14'.
>>>>
>>>> It looks like the retrotranslator call is interperted as a normal
>>>> method call and not using antbuilder.  I believe that this was
>>>> working fine for me a few days ago.  Does anyone else have this
>>>> problem?
>>>
>>> I can reproduce this problem.
>>>
>>>> Any ideas?
>>>
>>> Not yet. I will have a look at that.
>>>
>>> - Hans
>>>
>>> --
>>> Hans Dockter
>>> Gradle Project Manager
>>> http://www.gradle.org
>>>
>>>>
>>>> --
>>>> Steve Appling
>>>> Automated Logic Research Team
>>>>
>>>> ---------------------------------------------------------------------
>>>> To unsubscribe from this list, please visit:
>>>>
>>>>   http://xircles.codehaus.org/manage_email
>>>>
>>>>
>>>
>>>
>>> ---------------------------------------------------------------------
>>> To unsubscribe from this list, please visit:
>>>
>>>    http://xircles.codehaus.org/manage_email
>>>
>>>
>>>
>>
>

--
Steve Appling
Automated Logic Research Team

---------------------------------------------------------------------
To unsubscribe from this list, please visit:

    http://xircles.codehaus.org/manage_email